import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { MiguWhiteLot } from '../models/index' 
/**
 * @author auto generate
 * @version 1.3
 * @date 2023-01-05 13:19
 */
interface MiguWhiteLotCU extends ConditionUtil<MiguWhiteLotCU>{
    LOT_ID:FieldUtil<MiguWhiteLotCU>;
    CREATE_TIME:FieldUtil<MiguWhiteLotCU>;
}

class MiguWhiteLotCUImpl extends ConditionUtilImpl<MiguWhiteLotCUImpl> implements MiguWhiteLotCU{ 
    newInstance(): MiguWhiteLotCUImpl {
        return new MiguWhiteLotCUImpl();
    } 
    get LOT_ID(): FieldUtil<MiguWhiteLotCU>{  
        return new FieldUtil('LOT_ID','lotId','车场ID', this);
    }
    get CREATE_TIME(): FieldUtil<MiguWhiteLotCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
}

@Singleton 
class MiguWhiteLotMU extends TableUtilImpl<MiguWhiteLotCU,MiguWhiteLot>{ 
    tableName  = 'pp_migu_white_lot';
    tableFields  = ['LOT_ID','CREATE_TIME'];
    modelFields  = ['lotId','createTime'];
    modelIdFields  = ['lotId'];
    tableIdFields  = ['LOT_ID'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): MiguWhiteLotCU {
        return new MiguWhiteLotCUImpl();
    }   

    static get LOT_ID(): FieldUtil<MiguWhiteLotCU>{ 
        return new FieldUtil('LOT_ID','lotId','车场ID', new MiguWhiteLotCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<MiguWhiteLotCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new MiguWhiteLotCUImpl());
    }

    get LOT_ID(): FieldUtil<MiguWhiteLotCU>{ 
        return MiguWhiteLotMU.LOT_ID;
    }
    get CREATE_TIME(): FieldUtil<MiguWhiteLotCU>{ 
        return MiguWhiteLotMU.CREATE_TIME;
    }
}
export {MiguWhiteLotMU, MiguWhiteLotCU}
